Package uk.ac.starlink.vo

## Enum CadcTapMetaReader.Config

- java.lang.Object
- - java.lang.Enum<CadcTapMetaReader.Config>
  - - uk.ac.starlink.vo.CadcTapMetaReader.Config

- Enclosing class:
    CadcTapMetaReader

      public static enum CadcTapMetaReader.Config
      extends java.lang.Enum<CadcTapMetaReader.Config>

  Defines what parts of the tableset tree are acquired at what types of read query on this object.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `POPULATE_NONE` | Schema query doesn't get tables, table query doesn't get columns.
    `POPULATE_SCHEMAS` | Schema query gets tables but not columns.
    `POPULATE_SCHEMAS_AND_TABLES` | Schema query gets fully populated schemas and tables.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CadcTapMetaReader.Config` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CadcTapMetaReader.Config[]` | `values​()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POPULATE_NONE

          public static final CadcTapMetaReader.Config POPULATE_NONE

      Schema query doesn't get tables, table query doesn't get columns.

    - #### POPULATE_SCHEMAS

          public static final CadcTapMetaReader.Config POPULATE_SCHEMAS

      Schema query gets tables but not columns.

    - #### POPULATE_SCHEMAS_AND_TABLES

          public static final CadcTapMetaReader.Config POPULATE_SCHEMAS_AND_TABLES

      Schema query gets fully populated schemas and tables.

  - ### Method Detail

    - #### values

          public static CadcTapMetaReader.Config[] values​()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CadcTapMetaReader.Config c : CadcTapMetaReader.Config.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CadcTapMetaReader.Config valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.